[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.Destroy

Destructor for the class instance.

## Declaration

Source position: grids.pas line 1453

`public destructor TCustomDrawGrid.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy frees resources allocated to the member used for the internal virtual grid in the control. Destroy calls the inherited destructor prior to exiting from the method.

## See also

TCustomGrid.Destroy |  | Destructor for the class instance.
TVirtualGrid |  | Implements a grid with metadata where rows and columns are stored as Pointer arrays.